# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Roku/RCP.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.03
%define module_name Roku-RokuLCD
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: M400 & M500 Display Functions made more accessible than via the Roku::RCP module
Group: Development/Perl
License: artistic_2
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/E/ED/EDSTER/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Roku::RokuLCD was written because the RokuUI module appeared a bit too high level, so I put together some simplified display
routines into a single easy-to-use object.

It has now been moved to using the Roku::RCP module which is easily available from CPAN.

It inherits all the methods from the standard Roku::RCP module.


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README
%perl_vendor_privlib/R*

%changelog
* Thu May 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1
- initial import by package builder

